//	Global.java : this is a Java source code file for the program Facade.
//	Copyright 1998, Andrew S. Downs
//	andrew.downs@tulane.edu
//
//	This source code is distributed as freeware.
//	Just keep this author information in the file.  Enjoy!

import java.awt.*;
import java.io.*;

public class Global implements Serializable {
	// Position values
	public static final int defaultX = 0;
	public static final int defaultY = 0;
	public static final int defaultWidth = 640;
	public static final int defaultHeight = 480;

	// Frame component sizes
	public static final int defaultGrowBoxSize = 20;

	// Menu component sizes
	public static final int defaultMenuBarHeight = 20;
	public static final int defaultMenuHSep = 10;
	public static final int defaultMenuItemVSep = 2;

	// Timing values
	public static final int splashDelay = 2;
	public static final int menuDelayMillis = 40;

	// Colors
	public static final Color menuBarHighlightColor = Color.blue;
	public static final Color inactiveMenuColor = Color.lightGray;
	
	// Startup strings
	public static final String splashDisplayString = "Welcome to Mac OS";
	public static final String startupDisplayString = "Starting Up...";

	// Icon and menu strings
	public static final String trashDisplayString = "Trash";
	public static final String menuItemAboutMac = "About This Computer...";
	public static final String menuItemNew = "New Folder";
	public static final String menuItemOpen = "Open";
	public static final String menuItemClose = "Close Window";
	public static final String menuItemCut = "Cut";
	public static final String menuItemCopy = "Copy";
	public static final String menuItemPaste = "Paste";
	public static final String menuItemEmptyTrash = "Empty Trash...";
	public static final String menuSep = "______________";
	public static final String menuItemRestart = "Restart";
	public static final String menuItemShutdown = "Shutdown";
	public static final String menuFile = "File";
	public static final String menuEdit = "Edit";
	public static final String menuSpecial = "Special";
	public static final String newItemName = "Untitled";
	public static final String newItemCopyName = " copy";

	// File name string components
	public static final String spaceSep = "%20";
//	public static final String sep00 = "%aa";
	public static final char sep01 = '\\';
	public static final char sep02 = '/';
	public static final char sep03 = ':';

	// System properties (lookup once)
	public static final String fileSep = System.getProperty( "file.separator" );
	public static final String pathSep = System.getProperty( "path.separator" );
	public static final String lineSep = System.getProperty( "line.separator" );

	// Image names (same dir as app)
	public static final String splashString = new String( "splash.gif" );
	public static final String appleString = new String( "apple01.gif" );
	public static final String trashString = new String( "trash01.gif" );
	public static final String trashMaskString = new String( "trash01m.gif" );
	public static final String trashFullMaskString = new String( "trashfm.gif" );
	public static final String trashFullString = new String( "trash02.gif" );
	public static final String driveString = new String( "drive01.gif" );
	public static final String driveMaskString = new String( "drive01m.gif" );
	public static final String docString = new String( "doc01.gif" );
	public static final String folderString = new String( "folder01.gif" );
	public static final String upArrowString = new String( "scroll01uh.gif" );

/*
	// Image names (subdir to app)
	public static final String splashString = new String( "Images" + fileSep + "splash.gif" );
	public static final String appleString = new String( "Images" + fileSep + "apple01.gif" );
	public static final String trashString = new String( "Images" + fileSep + "trash01.gif" );
	public static final String trashMaskString = new String( "Images" + fileSep + "trash01m.gif" );
	public static final String trashFullString = new String( "Images" + fileSep + "trash02.gif" );
	public static final String driveString = new String( "Images" + fileSep + "drive01.gif" );
	public static final String driveMaskString = new String( "Images" + fileSep + "drive01m.gif" );
	public static final String docString = new String( "Images" + fileSep + "doc01.gif" );
	public static final String folderString = new String( "Images" + fileSep + "folder01.gif" );
	public static final String upArrowString = new String( "Images" + fileSep + "scroll01uh.gif" );
*/
}

